/**
 * 文档管理接口
 */
import request from '@/api/index'
// 分页列表
export function getListPage(params: object) {
  return request({
    url: '/file/listPage',
    method: 'get',
    params,
  })
}
// 新建
export function addDocument(data: object) {
  return request({
    url: '/file/add',
    method: 'post',
    data,
  })
}
// 更新
export function updateDocument(data: object) {
  return request({
    url: '/file/update',
    method: 'post',
    data,
  })
}
// 详情
export function detailDocument(id: string) {
  return request({
    url: `/file/log?fileId=${id}`,
    method: 'get',
  })
}
// 删除
export function delDocument(id: string) {
  return request({
    url: `/file/remove?fileId=${id}`,
    method: 'post',
  })
}
